{ lib, stdenv, perlPackages }:

stdenv.mkDerivation rec {
  pname = "urxvt-config-reload";
  version = "1.0";

  src = ./src;

  passthru.perlPackages = with perlPackages;
    [ LinuxFD ] ++ LinuxFD.requiredPerlModules;

  installPhase = ''
    install -D -m644 "$src"/* -t "$out/lib/urxvt/perl"
  '';

  meta = with lib; {
    description = "A urxvt plugin that reloads the configuration on SIGUSR1";
    homepage = "https://maxwell.ydns.eu/git/rnhmjoj/urxvt-config-reload";
    maintainers = with maintainers; [ rnhmjoj ];
    platforms = platforms.unix;
  };
}
